export class div {
    static w(width) {
        console.log(`Width: ${width}`)
        return this
    }

    static h(height) {
        console.log(`Height: ${height}`)
        return this
    }

    static get onclick() {
        console.log('onclick event')
        return {
            stop: function (event) {
                console.log(`Stop event: ${event}`)
                return div
            }
        }
    }

    static get onkeydown() {
        console.log('onkeydown event')
        return {
            esc: function () {
                console.log('esc event')
                return {
                    keydown: function () {
                        console.log('keydown event')
                        return div
                    }
                }
            }
        }
    }

    static classList(classes) {
        console.log(`Classes: ${classes}`)
        return this
    }
}

export class button extends div { }
export class span extends div { }

export class header extends div { }
export class footer extends div { }
export class main extends div { }

